<?php

/**
 * @file
 * Contains admin settings functionality.
 */

/**
 * Returns settings.
 */
function field_extra_settings_load_settings() {

  return [
    'available_to_hide' => [
      'title',
      'body',
      'field_image',
      'form_element' => [
        '#title' => t('Hide this field.'),
        '#type' => 'checkbox',
      ],
    ],
    'restrict_access_by_role' => [
      'body',
      'form_element' => [
        '#title' => t('Restrict access by role, display field only for:'),
        '#type' => 'checkboxes',
        '#options' => array_combine(user_roles(), user_roles()),
      ],
    ],
    'css_class' => [
      'body',
      'form_element' => [
        '#title' => t('Choose field color.'),
        '#type' => 'radios',
        '#options' => [
          'red' => t('Red'),
          'blue' => t('Blue'),
        ],
      ],
    ],
    'custom_css_class' => [
      'body',
      'form_element' => [
        '#title' => t('Add custom element css class.'),
        '#type' => 'radios',
        '#options' => [
          'left-arrow' => t('Left arrow'),
          'right-arrow' => t('Right arrow'),
        ],
      ],
    ],
    'image_representation_types' => [
      'field_image',
      'form_element' => [
        '#title' => t('Image representation type.'),
        '#type' => 'radios',
        '#options' => [
          'thumbnail' => t('Small'),
          'medium' => t('Medium'),
          'full_with' => t('Full with'),
        ],
      ],
    ],
    'bundles' => [
      'article',
    ],
    'entity_types' => [
      'node',
      'bean',
      'paragraphs_item',
    ],
  ];
}
